com.mysql.cj.xdevapi

## Interface AddResult

All Superinterfaces:
  QueryResult, Result

    public interface AddResult
    extends Result

A result from the collection.add() statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `getGeneratedIds()` Get a list of document ids generated in the server for the documents added by collection.add().

### Methods inherited from interface com.mysql.cj.xdevapi.Result

`getAffectedItemsCount, getWarnings, getWarningsCount`

### Method Detail

#### getGeneratedIds

    List<String> getGeneratedIds()

Get a list of document ids generated in the server for the documents added by collection.add().

Returns:
  all generated document ids

Copyright © 2016, 2024, Oracle and/or its affiliates.